org.eclipse.net4j.db

## Interface IDBDatabase

- All Superinterfaces:
    Closeable, IContainer<IDBConnection>, IDBConnectionProvider, IDBConnectionProvider2, INotifier, IUserAware

      public interface IDBDatabase
      extends IContainer<IDBConnection>, IDBConnectionProvider2, Closeable

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IDBDatabase.RunnableWithSchema`
    `static interface` | `IDBDatabase.SchemaChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_STATEMENT_CACHE_CAPACITY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBAdapter` | `getAdapter()`
    `IDBConnection` | `getConnection()` Returns a connection.
    `IDBConnection[]` | `getConnections()`
    `IDBSchema` | `getSchema()`
    `IDBSchemaTransaction` | `getSchemaTransaction()` Deprecated. As of 4.7 no longer supported in favor of support for multiple schema transactions.
    `int` | `getStatementCacheCapacity()`
    `IDBSchemaTransaction` | `openSchemaTransaction()`
    `IDBSchemaTransaction` | `openSchemaTransaction(IDBConnection connection)`
    `void` | `setStatementCacheCapacity(int statementCacheCapacity)`
    `void` | `updateSchema(IDBDatabase.RunnableWithSchema runnable)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Field Detail

    - #### DEFAULT_STATEMENT_CACHE_CAPACITY

          static final int DEFAULT_STATEMENT_CACHE_CAPACITY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAdapter

          IDBAdapter getAdapter()

    - #### getSchema

          IDBSchema getSchema()

    - #### openSchemaTransaction

          IDBSchemaTransaction openSchemaTransaction()

    - #### openSchemaTransaction

          IDBSchemaTransaction openSchemaTransaction(IDBConnection connection)

      Since:
        4.7

    - #### getSchemaTransaction

          @Deprecated
          IDBSchemaTransaction getSchemaTransaction()

      Deprecated. As of 4.7 no longer supported in favor of support for multiple schema transactions.

    - #### updateSchema

          void updateSchema(IDBDatabase.RunnableWithSchema runnable)

    - #### getConnection

          IDBConnection getConnection()

      Description copied from interface: `IDBConnectionProvider`
      Returns a connection.
      Specified by:
        `getConnection` in interface `IDBConnectionProvider`

    - #### getConnections

          IDBConnection[] getConnections()

    - #### getStatementCacheCapacity

          int getStatementCacheCapacity()

    - #### setStatementCacheCapacity

          void setStatementCacheCapacity(int statementCacheCapacity)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html